/**
 * \file i2c_0.c
 * \brief

 * \author	Sowmya B R
 * \date 2015-09-30

 * \version	0.1
 */

/*
 *  --------------------- INCLUDE FILES ---------------------
 */

#include <stdbool.h>
#include <nrf51.h>
#include <nrf_delay.h>
#include <app_util_platform.h>

#include "drivers/i2c.h"
#include "drivers/i2c_0.h"
#include "drivers/gpio.h"

/*
 *  --------------------- DEFINITION ---------------------
 */

/*
 *  --------------------- Global variables ---------------------
 */

st_i2c_config I2C_0 = 
{
	.Clock_Pin   = TWI_MASTER_CLOCK_PIN,
	.Data_Pin    = TWI_MASTER_DATA_PIN,
	.Frequency   = TWI_FREQUENCY_FREQUENCY_K100,
        .nRF_I2C     = NRF_TWI0,
	//.PPI_Channel = PPI_CHANNEL,
        
};

/*
 *  --------------------- FUNCTION DECLARATION ---------------------
 */

/*
 *  --------------------- FUNCTION BODY ---------------------
 */

void SPI0_TWI0_IRQHandler(void)
{
	i2c_irq_handler(&I2C_0);
}

void init_i2c_0()
{
	//I2C_0.Frequency = Frequency;
	i2c_init(&I2C_0);
	
	//NVIC_SetPriority(SPI0_TWI0_IRQn, APP_IRQ_PRIORITY_LOW);
	//NVIC_ClearPendingIRQ(SPI0_TWI0_IRQn);
	//NVIC_EnableIRQ(SPI0_TWI0_IRQn);	
   
       sd_nvic_SetPriority(SPI0_TWI0_IRQn,APP_IRQ_PRIORITY_HIGH);
       sd_nvic_ClearPendingIRQ(SPI0_TWI0_IRQn);
       sd_nvic_EnableIRQ(SPI0_TWI0_IRQn);
}

/*
 *  --------------------- End Of File ---------------------
 */
